--- t/1.t
+++ t/1.t
@@ -2,6 +2,8 @@
 
 
 use Test;
+use strict;
+use warnings;
 
 BEGIN { plan tests => 34 }
 
@@ -20,7 +22,7 @@
 
 ## Test object creation
 
-$obj = HTML::TableContentParser->new();
+my $obj = HTML::TableContentParser->new();
 ok(defined $obj, 1, $@);
 
 
@@ -29,14 +31,14 @@
 ## the correct values to the callback.
 
 
-$table_caption  = 'This is a caption';
-$table_content1 = 'This is table cell content 1';
-$table_content2 = 'This is table cell content 2';
-$table_content3 = '<a href="SomeLink">This is table cell content 3, a link</a>';
-$table_content4 = 'Some more text wrapping <a href="SomeLink">This is table cell content 4</a> a link.';
-$header_text = 'Header text';
+my $table_caption  = 'This is a caption';
+my $table_content1 = 'This is table cell content 1';
+my $table_content2 = 'This is table cell content 2';
+my $table_content3 = '<a href="SomeLink">This is table cell content 3, a link</a>';
+my $table_content4 = 'Some more text wrapping <a href="SomeLink">This is table cell content 4</a> a link.';
+my $header_text = 'Header text';
 
-$html = qq{
+my $html = qq{
 <html>
 <head>
 </head>
@@ -59,7 +61,7 @@
 
 
 $HTML::TableContentParser::DEBUG = 0;
-$tables = $obj->parse($html);
+my $tables = $obj->parse($html);
 ok($tables->[0]->{caption}->{data}, $table_caption, $@);
 ok($tables->[0]->{rows}->[0]->{cells}->[0]->{data}, $table_content1, $@);
 ok($tables->[0]->{rows}->[1]->{cells}->[0]->{data}, $table_content2, $@);
@@ -124,16 +126,17 @@
 ok(@$tables, 2, @_);
 
 ## and three headers for each table
-for $t (0..$#{@$tables}) {
-	for (0..$#hdrs) {
-		ok($tables->[$t]->{headers}->[$_]->{data}, $hdrs[$_], $@);
+for my $t (0..(@$tables-1)) {
+	for (0..2) {
+        # ok($t, $t);
+        ok($tables->[$t]->{headers}->[$_]->{data}, $hdrs[$_], $@);
 	}
 }
 
 
 ## and three rows of three cells each, for each table.. (18 total).
-for $t (0..$#{@$tables}) {
-	for $r (0..$#rows) {
+for my $t (0..1) {
+	for my $r (0..$#rows) {
 		for (0..2) {
 			ok($tables->[$t]->{rows}->[$r]->{cells}->[$_]->{data}, $rows[$r]->[$_], $@);
 		}
